Backend-Specific Operations
3
GNOME-VFS-2.0 Library

# Backend-Specific Operations

Execute backend-specific operations

## Synopsis

    GnomeVFSResult      gnome_vfs_file_control              (GnomeVFSHandle *handle,
                                                             const char *operation,
                                                             gpointer operation_data);

## Description

Advanced file operations allow you to execute backend-specific commands. Currently, none of the GnomeVFSModules shipped with GnomeVFS includes useful operations, but they allow sophisticated module-specific code that can not be added to GnomeVFS because it would break abstraction.

## Details

### gnome_vfs_file_control ()

    GnomeVFSResult      gnome_vfs_file_control              (GnomeVFSHandle *handle,
                                                             const char *operation,
                                                             gpointer operation_data);

Execute a backend dependent operation specified by the string `operation`. This is typically used for specialized vfs backends that need additional operations that gnome-vfs doesn't have. Compare it to the unix call `ioctl()`. The format of `operation_data` depends on the operation. Operation that are backend specific are normally namespaced by their module name.

`handle` :

  handle of the file to affect.

`operation` :

  operation to execute.

`operation_data` :

  data needed to execute the operation.

Returns :

  an integer representing the success of the operation.